=== debian/changelog ===
codequery (0.16.0+dfsg1-4) unstable; urgency=medium

  * Use UTC time to make package reproducible.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 08 Jul 2016 16:58:51 +0800

codequery (0.16.0+dfsg1-3) unstable; urgency=medium

  * Use DEB_HOST_GNU_TYPE to set output directory. Closes: #825093

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 24 May 2016 23:18:56 +0800

codequery (0.16.0+dfsg1-2) unstable; urgency=medium

  * Use changelog date as date in manpage.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 23 May 2016 18:44:23 +0800

codequery (0.16.0+dfsg1-1) unstable; urgency=low

  * Initial release. Closes: #823023

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 May 2016 20:57:56 +0800
