=== debian/control ===
Source: codequery
Section: devel
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9),
               cmake,
               libqscintilla2-dev,
               libsqlite3-dev,
               ruby-ronn,
Standards-Version: 3.9.8
Homepage: https://github.com/ruben2020/codequery
Vcs-Git: https://anonscm.debian.org/git/collab-maint/codequery.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/codequery.git

Package: codequery
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         cscope,
         exuberant-ctags,
Description: code-understanding, code-browsing or code-search tool
 This is a tool to index, then query or search C, C++, Java, Python,
 Ruby, Go and Javascript source code.
 .
 It builds upon the databases of cscope and Exuberant ctags.
 .
 The databases of cscope and ctags would be processed by the cqmakedb
 tool to generate the CodeQuery database file.
 .
 The CodeQuery database file can be viewed and queried using the
 codequery GUI tool.
