=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DATE := $(shell date --utc --date="$$(dpkg-parsechangelog --show-field Date)" +%F)

%:
	dh $@

override_dh_auto_configure:
	cat debian/codequery.manpages | sed 's/\.1/.1.ronn/' | xargs ronn --date=$(DATE) --roff
	perl -pi -e 's/build/obj-$(DEB_HOST_GNU_TYPE)/' gui/codequery.qrc
	dh_auto_configure

override_dh_clean:
	dh_clean
	perl -pi -e 's/obj-$(DEB_HOST_GNU_TYPE)/build/' gui/codequery.qrc
