## codequery 0.18.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,9 @@
 
 set( EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR} )
 
-INCLUDE_DIRECTORIES( "../makedb" )
-set( OPTLISTLIB_SRCS makedb/optlist.cpp )
-add_library( optlist_lib STATIC ${OPTLISTLIB_SRCS} )
+#INCLUDE_DIRECTORIES( "../makedb" )
+#set( OPTLISTLIB_SRCS makedb/optlist.cpp )
+#add_library( optlist_lib STATIC ${OPTLISTLIB_SRCS} )
 
 add_subdirectory( "querylib" )
 add_subdirectory( "makedb" )
@@ -40,14 +40,14 @@
 
 set( CPACK_GENERATOR "DEB;RPM;TGZ")
 set( CPACK_PACKAGE_NAME "codequery" )
-set( CPACK_PACKAGE_VERSION  "0.16.0" )
+set( CPACK_PACKAGE_VERSION  "0.18.0" )
 set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
 set( CPACK_DEBIAN_PACKAGE_DEPENDS "libqtgui4 (>= 4.8.0) , libqt4-xml (>= 4.8.0) , libsqlite3-0 (>= 3.7.0) , libqscintilla2-9 (>= 2.6.0) , cscope , exuberant-ctags")
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
 set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")
 set( CPACK_DEBIAN_PACKAGE_SECTION "devel" )
 set( CPACK_DEBIAN_PACKAGE_MAINTAINER "ruben2020 ruben2020-git@users.sourceforge.net")
-set( CPACK_RPM_PACKAGE_LICENSE "GPLv3+")
+set( CPACK_RPM_PACKAGE_LICENSE "GPLv2+")
 set( CPACK_RPM_PACKAGE_GROUP "Development/Tools")
 set( CPACK_PACKAGE_VENDOR "ruben2020")
 set( CPACK_RPM_PACKAGE_REQUIRES "ruben2020 ruben2020-git@users.sourceforge.net")
