=== querylib/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include_directories( "." )
 include_directories( "${SQLITE_INCLUDE_DIR}" )
 
-set( SMALL_LIB_SRCS small_lib.cpp )
+set( SMALL_LIB_SRCS small_lib.cpp getopt2.cpp )
 add_library( small_lib STATIC ${SMALL_LIB_SRCS} )
 
 set( QUERY_LIB_SRCS sqlquery.cpp )
