=== debian/changelog ===
codequery (0.18.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 20 Oct 2016 19:14:35 +0800

codequery (0.17.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 29 Sep 2016 19:02:21 +0800

codequery (0.16.0+dfsg1-5) unstable; urgency=medium

  * Use asciidoc instead of ronn to generate manpage.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 19 Jul 2016 00:44:51 +0800
