=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>=9),
+               asciidoc,
                cmake,
                libqscintilla2-dev,
                libsqlite3-dev,
-               ruby-ronn,
+               xmlto,
 Standards-Version: 3.9.8
 Homepage: https://github.com/ruben2020/codequery
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/codequery.git
