=== showgraph/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.2.2)
 project(ShowGraph)
 
 #ADD_DEFINITIONS( -Wall )
