=== debian/changelog ===
codequery (0.21.0+dfsg1-1) unstable; urgency=medium

  * Merge to unstable.
  * Bump Standards-Version to 4.0.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 20 Jun 2017 12:49:11 +0800

codequery (0.21.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 06 May 2017 22:44:01 +0800

codequery (0.20.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright since upstream change its license to Mozilla Public
    License 2.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 10 Apr 2017 15:27:52 +0800
