=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libqscintilla2-dev,
                libsqlite3-dev,
                xmlto,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/ruben2020/codequery
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/codequery.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/codequery.git
