=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1 \
https://github.com/ruben2020/codequery/releases .*/v([\d\.]*)\.tar.gz
