## codequery 0.21.1%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>= 11),
                asciidoc,
                cmake,
                libqscintilla2-dev,
                libsqlite3-dev,
                xmlto,
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/ruben2020/codequery
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/codequery.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/codequery.git
+Vcs-Git: https://salsa.debian.org/debian/codequery.git
+Vcs-Browser: https://salsa.debian.org/debian/codequery
 
 Package: codequery
 Architecture: any
