## codequery 0.21.1+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
   endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
 
 set( CPACK_GENERATOR "DEB;TGZ")
-set( CPACK_PACKAGE_VERSION  "0.21.0" )
+set( CPACK_PACKAGE_VERSION  "0.21.1" )
 set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-Linux-${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}" ) 
 set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Code understanding and searching tool")
 set( CPACK_PACKAGE_DESCRIPTION "Code understanding and searching tool")
