=== querylib/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 2.8.12)
-project(CodeQuery)
+cmake_minimum_required(VERSION 3.2.2)
+project(CodeQueryLib)
 
 find_package(Sqlite REQUIRED)
