=== debian/changelog ===
codequery (0.21.1+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to Qt5, thanks to Reiner Herrmann (Closes: #874855)
  * Update Qscintilla build dep, thanks to Reiner Herrmann (Closes: #886193)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 24 Sep 2019 21:00:25 +0200

codequery (0.21.1+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.2.1.
  * Bump compat to 11.
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 31 Oct 2018 14:51:35 +0800
