=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Build-Depends: debhelper (>= 11),
                asciidoc,
                cmake,
-               libqscintilla2-dev,
+               libqscintilla2-qt5-dev,
                libsqlite3-dev,
+               qtbase5-dev,
+               qttools5-dev,
                xmlto,
 Standards-Version: 4.2.1
 Homepage: https://github.com/ruben2020/codequery
